## tanzu secret registry update

Updates the v1/Secret resource of type kubernetes.io/dockerconfigjson. In case of specifying the --export-to-all-namespaces flag, the SecretExport resource will also get updated. Otherwise, there will be no changes in the SecretExport resource

```
tanzu secret registry update SECRET_NAME --username USERNAME --password PASSWORD [flags]
```

### Examples

```

    # Update a registry secret. There will be no changes in the associated SecretExport resource
    tanzu registry secret update test-secret --username test-user --password-file test-file

    # Update a registry secret with 'export-to-all-namespaces' flag being set
    tanzu registry secret update test-secret --username test-user --password test-pass --export-to-all-namespaces

    # Update a registry secret with 'export-to-all-namespaces' flag being clear. In this case, the associated SecretExport resource will get deleted
    tanzu registry secret update test-secret --username test-user --password test-pass --export-to-all-namespaces=false
```

### Options

```
      --export-to-all-namespaces[=true]   If set to true, the secret gets available across all namespaces. If set to false, the secret will get unexported from ALL namespaces in which it was previously exported to. In case of not specifying this flag, no changes will be made in the existing SecretExport resource. optional
  -h, --help                              help for update
      --password string                   Password for authenticating to the private registry
      --password-env-var string           Environment variable containing the password for authenticating to the private registry
      --password-file string              File containing the password for authenticating to the private registry
      --password-stdin                    When provided, password for authenticating to the private registry would be taken from the standard input
      --username string                   Username for authenticating to the private registry
  -y, --yes                               In case the --export-to-all-namespaces flag was provided, export/un-export of the secret will be performed without asking for confirmation, optional
```

### Options inherited from parent commands

```
      --kubeconfig string   The path to the kubeconfig file, optional
  -n, --namespace string    Target namespace for the registry secret, optional (default "default")
      --verbose int32       Number for the log level verbosity(0-9)
```

### SEE ALSO

* [tanzu secret registry](tanzu_secret_registry.md)	 - Registry secret operations

###### Auto generated by spf13/cobra on 5-Nov-2021
