// Code generated by go-swagger; DO NOT EDIT.

package client

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"github.com/go-openapi/runtime"
	httptransport "github.com/go-openapi/runtime/client"

	strfmt "github.com/go-openapi/strfmt"

	"github.com/vmware-tanzu/tanzu-framework/pkg/v1/tkg/web/server/client/avi"
	"github.com/vmware-tanzu/tanzu-framework/pkg/v1/tkg/web/server/client/aws"
	"github.com/vmware-tanzu/tanzu-framework/pkg/v1/tkg/web/server/client/azure"
	"github.com/vmware-tanzu/tanzu-framework/pkg/v1/tkg/web/server/client/docker"
	"github.com/vmware-tanzu/tanzu-framework/pkg/v1/tkg/web/server/client/edition"
	"github.com/vmware-tanzu/tanzu-framework/pkg/v1/tkg/web/server/client/features"
	"github.com/vmware-tanzu/tanzu-framework/pkg/v1/tkg/web/server/client/ldap"
	"github.com/vmware-tanzu/tanzu-framework/pkg/v1/tkg/web/server/client/provider"
	"github.com/vmware-tanzu/tanzu-framework/pkg/v1/tkg/web/server/client/ui"
	"github.com/vmware-tanzu/tanzu-framework/pkg/v1/tkg/web/server/client/vsphere"
)

// Default kickstart UI HTTP client.
var Default = NewHTTPClient(nil)

const (
	// DefaultHost is the default Host
	// found in Meta (info) section of spec file
	DefaultHost string = "localhost"
	// DefaultBasePath is the default BasePath
	// found in Meta (info) section of spec file
	DefaultBasePath string = "/"
)

// DefaultSchemes are the default schemes found in Meta (info) section of spec file
var DefaultSchemes = []string{"http", "https"}

// NewHTTPClient creates a new kickstart UI HTTP client.
func NewHTTPClient(formats strfmt.Registry) *KickstartUI {
	return NewHTTPClientWithConfig(formats, nil)
}

// NewHTTPClientWithConfig creates a new kickstart UI HTTP client,
// using a customizable transport config.
func NewHTTPClientWithConfig(formats strfmt.Registry, cfg *TransportConfig) *KickstartUI {
	// ensure nullable parameters have default
	if cfg == nil {
		cfg = DefaultTransportConfig()
	}

	// create transport and client
	transport := httptransport.New(cfg.Host, cfg.BasePath, cfg.Schemes)
	return New(transport, formats)
}

// New creates a new kickstart UI client
func New(transport runtime.ClientTransport, formats strfmt.Registry) *KickstartUI {
	// ensure nullable parameters have default
	if formats == nil {
		formats = strfmt.Default
	}

	cli := new(KickstartUI)
	cli.Transport = transport

	cli.Avi = avi.New(transport, formats)

	cli.Aws = aws.New(transport, formats)

	cli.Azure = azure.New(transport, formats)

	cli.Docker = docker.New(transport, formats)

	cli.Edition = edition.New(transport, formats)

	cli.Features = features.New(transport, formats)

	cli.Ldap = ldap.New(transport, formats)

	cli.Provider = provider.New(transport, formats)

	cli.UI = ui.New(transport, formats)

	cli.Vsphere = vsphere.New(transport, formats)

	return cli
}

// DefaultTransportConfig creates a TransportConfig with the
// default settings taken from the meta section of the spec file.
func DefaultTransportConfig() *TransportConfig {
	return &TransportConfig{
		Host:     DefaultHost,
		BasePath: DefaultBasePath,
		Schemes:  DefaultSchemes,
	}
}

// TransportConfig contains the transport related info,
// found in the meta section of the spec file.
type TransportConfig struct {
	Host     string
	BasePath string
	Schemes  []string
}

// WithHost overrides the default host,
// provided by the meta section of the spec file.
func (cfg *TransportConfig) WithHost(host string) *TransportConfig {
	cfg.Host = host
	return cfg
}

// WithBasePath overrides the default basePath,
// provided by the meta section of the spec file.
func (cfg *TransportConfig) WithBasePath(basePath string) *TransportConfig {
	cfg.BasePath = basePath
	return cfg
}

// WithSchemes overrides the default schemes,
// provided by the meta section of the spec file.
func (cfg *TransportConfig) WithSchemes(schemes []string) *TransportConfig {
	cfg.Schemes = schemes
	return cfg
}

// KickstartUI is a client for kickstart UI
type KickstartUI struct {
	Avi *avi.Client

	Aws *aws.Client

	Azure *azure.Client

	Docker *docker.Client

	Edition *edition.Client

	Features *features.Client

	Ldap *ldap.Client

	Provider *provider.Client

	UI *ui.Client

	Vsphere *vsphere.Client

	Transport runtime.ClientTransport
}

// SetTransport changes the transport on the client and all its subresources
func (c *KickstartUI) SetTransport(transport runtime.ClientTransport) {
	c.Transport = transport

	c.Avi.SetTransport(transport)

	c.Aws.SetTransport(transport)

	c.Azure.SetTransport(transport)

	c.Docker.SetTransport(transport)

	c.Edition.SetTransport(transport)

	c.Features.SetTransport(transport)

	c.Ldap.SetTransport(transport)

	c.Provider.SetTransport(transport)

	c.UI.SetTransport(transport)

	c.Vsphere.SetTransport(transport)

}
